PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Public Types | Public Member Functions | List of all members
PRFC1155_SimpleSyntax Class Reference

`#include <rfc1155.h>`

Inherits PASN_Choice.

## Public Types
enum | Choices { e_number = 2, e_string = 4, e_object = 6, e_empty = 5 }

## Public Member Functions
| PRFC1155_SimpleSyntax (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum PRFC1155_SimpleSyntax::Choices

Enumerator
e_number |
e_string |
e_object |
e_empty |

## Constructor & Destructor Documentation

PRFC1155_SimpleSyntax::PRFC1155_SimpleSyntax | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass`
| ) |  |

## Member Function Documentation

PObject* PRFC1155_SimpleSyntax::Clone | ( |  | ) | const

PBoolean PRFC1155_SimpleSyntax::CreateObject | ( |  | ) |

The documentation for this class was generated from the following file:

- rfc1155.h